---
# BBOSS Copyright (C) 2018-2021, Laurent Marchelli
# SPDX-License-Identifier: GPL-3.0-or-later

# ----------------------------------------------------------------------------
#                      Blob store templates declaration
# ----------------------------------------------------------------------------
# Attribute template classes dependencies
# TBC ...

# Attribute template classes (Alphabetical order)
.BlobStoreApiSoftQuota: &BlobStoreApiSoftQuota
  # The type to use such as spaceRemainingQuota, or spaceUsedQuota
  type: "spaceUsedQuota"
  limit: 100

.S3BlobStoreApiBucketConfiguration: &S3BlobStoreApiBucketConfiguration
  bucket: null
  encryption: null
  bucketSecurity: null
  advancedBucketConnection: null

# Blob store template dictionary
_nexus_blob_templ:
  file:
    # Name is systematically overwritten with the nexus_blobstores dictionary
    # key.
    name: null
    # The path to the blobstore contents. This can be an absolute path to
    # anywhere on the system Nexus Repository Manager has access to or it can
    # be a path relative to the sonatype-work directory.
    # path is automatically assigned by default with the dictionary key.
    path: null
    softQuota: null
    # softQuota: {<<: *BlobStoreApiSoftQuota}
  s3:
    # Name is systematically overwritten with the nexus_blobstores dictionary
    # key.
    name: null
    softQuota: {<<: *BlobStoreApiSoftQuota}
    bucketConfiguration: {<<: *S3BlobStoreApiBucketConfiguration}
